#
# Copyright (c) 2015 Midokura SARL, All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from charmhelpers.core.services import helpers


class MidoNetApi(helpers.RelationContext):
    name = 'midonet-api'
    interface = 'midonet-gateway'

    def __init__(self, *args, **kwargs):
        self.required_keys = ['private-address']  # TODO: Add all the info the
        # the API needs to know to make this one a gateway so that nothing
        # is sent unless we get enough information
        helpers.RelationContext.__init__(self, *args, **kwargs)

    def provide_data(self):
        return {
            # TODO: Add all the info the the API needs to know to make this one
            # a gateway
        }
